import 'resolve-global';
import type { ParserPreset, UserConfig } from '@commitlint/types';
/**
 * @see moduleResolve
 */
export declare const resolveFrom: (specifier: string, parent?: string) => string;
/**
 *
 * @param resolvedParserPreset path resolved by {@link resolveFrom}
 * @returns path and parserOpts function retrieved from `resolvedParserPreset`
 */
export declare const loadParserPreset: (resolvedParserPreset: string) => Promise<Pick<ParserPreset, 'path' | 'parserOpts'>>;
export interface ResolveExtendsContext {
    cwd?: string;
    parserPreset?: string | ParserPreset;
    prefix?: string;
    resolve?(id: string, ctx?: {
        prefix?: string;
        cwd?: string;
    }): string;
    resolveGlobal?: (id: string) => string;
    dynamicImport?<T>(id: string): T | Promise<T>;
}
export default function resolveExtends(config?: UserConfig, context?: ResolveExtendsContext): Promise<UserConfig>;
//# sourceMappingURL=index.d.ts.map